### Hierarchy

- IEmitter
  - IGridScrollbars

## Index

### Properties

- SCROLL
- SCROLL_X
- SCROLL_Y
- emit
- fit
- mainEl
- off
- on
- pageEl
- register
- scrollTrackX
- scrollTrackY
- unRegister

### Methods

- destroy
- removeEvent
- removeEvents
- update

## Properties

### SCROLL

SCROLL: string

- Defined in Grid3/GridScrollbars.ts:4

### SCROLL_X

SCROLL_X: string

- Defined in Grid3/GridScrollbars.ts:5

### SCROLL_Y

SCROLL_Y: string

- Defined in Grid3/GridScrollbars.ts:6

### emit

emit: function

Inherited from IEmitter.emit

- Defined in Emitter.ts:4

#### Type declaration

- - (name: string, args?: any): void

  - #### Parameters

    - ##### name: string

    - ##### Optional args: any

    #### Returns void

### fit

fit: string

- Defined in Grid3/GridScrollbars.ts:7

### mainEl

mainEl: HTMLDivElement

- Defined in Grid3/GridScrollbars.ts:9

### off

off: function

Inherited from IEmitter.off

- Defined in Emitter.ts:3

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### on

on: function

Inherited from IEmitter.on

- Defined in Emitter.ts:2

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### pageEl

pageEl: HTMLDivElement

- Defined in Grid3/GridScrollbars.ts:8

### register

register: function

Inherited from IEmitter.register

- Defined in Emitter.ts:5

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### scrollTrackX

scrollTrackX: HTMLDivElement

- Defined in Grid3/GridScrollbars.ts:10

### scrollTrackY

scrollTrackY: HTMLDivElement

- Defined in Grid3/GridScrollbars.ts:11

### unRegister

unRegister: function

Inherited from IEmitter.unRegister

- Defined in Emitter.ts:6

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

## Methods

### destroy

- destroy(): void

- - Defined in Grid3/GridScrollbars.ts:13

  #### Returns void

### removeEvent

- removeEvent(): void

- Inherited from IEmitter.removeEvent

  - Defined in Emitter.ts:7

  #### Returns void

### removeEvents

- removeEvents(): void

- Inherited from IEmitter.removeEvents

  - Defined in Emitter.ts:8

  #### Returns void

### update

- update(fit?: undefined | string, scale?: undefined | number): void

- - Defined in Grid3/GridScrollbars.ts:12

  #### Parameters

  - ##### Optional fit: undefined | string

  - ##### Optional scale: undefined | number

  #### Returns void

Generated using TypeDoc